package com.lz.modules.flow.dao;
/**
* <p>
* 考核维度表 服务类
* </p>
*
* @author quyixiao
* @since 2020-10-14
*/
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.lz.modules.flow.entity.ResultDimension;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface ResultDimensionMapper extends BaseMapper<ResultDimension> {


	ResultDimension selectResultDimensionById(@Param("id")Long id);


	Long insertResultDimension(ResultDimension resultDimension);


	int updateResultDimensionById(ResultDimension resultDimension);


	int updateCoverResultDimensionById(ResultDimension resultDimension);


	int deleteResultDimensionById(@Param("id")Long id);


    List<ResultDimension> selectResultDimensionAll();
}